#include <iostream>

using namespace std;
#include<cmath>
#include<algorithm>


int main(int argc, char** argv) 
{
	ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n,m;
    int sreca=0;
    cin>>n>>m;
    int d[n];
    
	for(int i=0;i<n;i++)
	{
	   cin>>d[i];
	}
	for(int i=0;i<m;i++)
	{
		int k1,k2;
		cin>>k1>>k2;
		if(d[k1-1]>0&&d[k2-1]>0||abs(max(d[k1-1],d[k2-1]))-abs(min(d[k1-1],d[k2-1]))>0)
		{
			
		sreca+=(d[k1-1]+d[k2-1]);
		}
		else
		{
		   	sreca-=(d[k1-1]+d[k2-1]);
		}
	}
	

	cout<<sreca;
	
	
	
	
}